Page MenuHomePhabricator

First replies to numbered lists use bullet lists
Closed, ResolvedPublic

Description

This doesn't seem right, we should either be using numbered lists or plain indentation ':'.

Note that if we resolve T252708 we would always use plain indentation and this issue would go away.

Originally reported in T252708 by @Daehan on fr.wiki.

Event Timeline

Esanders created this task.May 21 2020, 2:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2020, 2:58 PM

It hasn't changed but I should've clarified in the original report that this only affects replies which are new at that level. In the diff you gave there was already a reply at that level (2.1), so (2.2) was just appending to an existing numbered list.

Esanders renamed this task from Replies to numbered lists use bullet lists to First replies to numbered lists use bullet lists.Jun 16 2020, 6:59 PM

Replying to a nested numbered list, see https://nl.wikipedia.org/w/index.php?title=Overleg_Wikipedia:Universele_gedragscode&type=revision&diff=56535077&oldid=56534101&diffmode=source . That is a list with two levels. With my edit I added a numbered point on the second level, that is now point 2 within outer level point 2. Now when you hit reply to that point, the text box appears right beneath it and indented with a bullet. However when you hit reply to the point above, point 1 within outer level point 2 it is going to be point 6 on the outer level. This is because points 1 and 2 of the outer level haven't been signed, I assume. However, it feels really weird.

This should be fixed as a result of T252708 (all replies will use : now).

ppelberg closed this task as Resolved.Aug 12 2020, 5:11 PM
ppelberg claimed this task.